Loading...
Searching...
No Matches
side_information_type

## Detailed Description

Definition at line 37 of file reference_element_face_transformation.h.

## Public Member Functions

| side_information_type ()
| side_information_type (reference_element hat_K, size_t loc_isid0)
void | reset (reference_element hat_K, size_t loc_isid0)

## Public Attributes

size_t | loc_isid
size_t | shift
geo_element_indirect::orientation_type | orient
size_t | dim
size_t | n_vertex
reference_element | hat

## Constructor & Destructor Documentation

## side_information_type() [1/2]

side_information_type | ( |  | ) |

Definition at line 44 of file reference_element_face_transformation.h.

## side_information_type() [2/2]

side_information_type | ( | reference_element | hat_K,
|  | size_t | loc_isid0
| ) |  |

Definition at line 52 of file reference_element_face_transformation.h.

## Member Function Documentation

## reset()

void reset | ( | reference_element | hat_K,
|  | size_t | loc_isid0
| ) |  |

Definition at line 64 of file reference_element_face_transformation.h.

## Member Data Documentation

## loc_isid

size_t loc_isid

Definition at line 38 of file reference_element_face_transformation.h.

## shift

size_t shift

Definition at line 39 of file reference_element_face_transformation.h.

## orient

geo_element_indirect::orientation_type orient

Definition at line 40 of file reference_element_face_transformation.h.

## dim

size_t dim

Definition at line 41 of file reference_element_face_transformation.h.

## n_vertex

size_t n_vertex

Definition at line 42 of file reference_element_face_transformation.h.

## hat

reference_element hat

Definition at line 43 of file reference_element_face_transformation.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-mDkPTY/rheolef-7.2/fem/geo_element/reference_element_face_transformation.h